Skip to Content

➡️ Short Links

Redirect links are one of the core primitives on Spindl. They map a Spindl link (https://spindl.link/abcd) to a specified URL (typically a dApp website).

GET https://api.spindl.xyz/v1/links

Links will sorted by the time they were created, descending.

Headers

NameTypeDescription
X-API-Key*StringThe API token
{ "links": [ { "id": "dfec5988-5108-465c-be87-ce42039f572e", "name": "Spindl Campaign - 2022 - Discord", "link": "https://spindl.link/bcdef", "redirectUrl": "https://demo.spindl.xyz/", "createdAt": "2022-11-09T22:56:24.303Z", "totalVisits": 0, "latestVisit": null }, { "id": "7c087843-a7a1-4b2c-9f28-2ccbe40f23e5", "name": "Spindl Campaign - 2022 - Twitter", "link": "https://spindl.link/abcd", "redirectUrl": "https://demo.spindl.xyz/", "createdAt": "2022-11-04T00:29:49.810Z", "totalVisits": 100, "latestVisit": "2022-11-06T17:32:12.632Z" } ] }

POST https://api.spindl.xyz/v1/links

Create a new short link with Spindl tracking.

Headers

NameTypeDescription
X-API-KeyStringThe API token

Request Body

NameTypeDescription
name*StringThe internal name of the link. While names aren’t unique, we recommend using descriptive names like “Winter Campaign - Twitter Post 1”
url*StringThe URL to redirect to (typically where your app lives).
{ "link": { "id": "dfec5988-5108-465c-be87-ce42039f572e", "name": "Test New 2", "link": "https://spindl.link/abcde", "redirectUrl": "https://demo.spindl.xyz/", "createdAt": "2022-11-09T22:56:24.303Z", "totalVisits": 0, "latestVisit": null } }